org.apache.tinkerpop.gremlin.server.handler

## Class SaslAndHttpBasicAuthenticationHandler

- java.lang.Object
- - ChannelInboundHandlerAdapter
  - - org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler
    - - org.apache.tinkerpop.gremlin.server.handler.SaslAuthenticationHandler
      - - org.apache.tinkerpop.gremlin.server.handler.SaslAndHttpBasicAuthenticationHandler

-     public class SaslAndHttpBasicAuthenticationHandler
      extends SaslAuthenticationHandler

  An Authentication Handler for doing WebSocket Sasl and Http Basic auth

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.handler.SaslAuthenticationHandler

      `settings`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler

      `authenticator, authorizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslAndHttpBasicAuthenticationHandler(Authenticator authenticator, Authorizer authorizer, Settings settings)`
    `SaslAndHttpBasicAuthenticationHandler(Authenticator authenticator, Settings settings)` Deprecated. As of release 3.5.0, replaced by `SaslAndHttpBasicAuthenticationHandler(Authenticator, Authorizer, Settings)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(ChannelHandlerContext ctx, Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaslAndHttpBasicAuthenticationHandler

          @Deprecated
          public SaslAndHttpBasicAuthenticationHandler(Authenticator authenticator,
                                                                   Settings settings)

      Deprecated. As of release 3.5.0, replaced by `SaslAndHttpBasicAuthenticationHandler(Authenticator, Authorizer, Settings)`.

    - #### SaslAndHttpBasicAuthenticationHandler

          public SaslAndHttpBasicAuthenticationHandler(Authenticator authenticator,
                                                       Authorizer authorizer,
                                                       Settings settings)

  - ### Method Detail

    - #### channelRead

          public void channelRead(ChannelHandlerContext ctx,
                                  Object obj)
                           throws Exception

      Overrides:
        `channelRead` in class `SaslAuthenticationHandler`
      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.